Package com.orchestranetworks.ui

# Class UIButtonSpecSubmit

java.lang.Object
com.orchestranetworks.ui.UIButtonSpec
com.orchestranetworks.ui.UIButtonSpecNavigation
com.orchestranetworks.ui.UIButtonSpecSubmit

public class UIButtonSpecSubmit extends UIButtonSpecNavigation
In the context of User services, specifies an HTML submit button.

The name and value of the button will be sent in the request.

Several submit buttons can have the same name in a form. The value is used to determine which button has been clicked.

Default value for `UIButtonSpecNavigation.isAskBeforeLeavingModifiedForm()` is `false`.

Since:
  5.2.0
See Also:
  - `UIFormSpec`
  - `UIServiceComponentWriter.addButtonSubmit(UIButtonSpecSubmit)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIButtonSpecSubmit(UserMessage aLabel, String aName, String aValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `String`
  `getValue()`

  ### Methods inherited from class com.orchestranetworks.ui.UIButtonSpecNavigation

  `isAskBeforeLeavingModifiedForm, setAskBeforeLeavingModifiedForm`

  ### Methods inherited from class com.orchestranetworks.ui.UIButtonSpec

  `getButtonIcon, getButtonLayout, getConfirmationMessage, getIconURL, getId, getLabel, getRelief, getTooltip, hasConfirmationMessage, isDefaultButton, isDisabled, isExcludedFromTabFocus, setButtonIcon, setButtonLayout, setConfirmationMessage, setCssClass, setDefaultButton, setDisabled, setExcludedFromTabFocus, setIconURL, setId, setLabel, setRelief, setTooltip`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UIButtonSpecSubmit

    public UIButtonSpecSubmit(UserMessage aLabel, String aName, String aValue)
    Parameters:
      `aLabel` - the label of the button.
      `aName` - the value of the attribute `name` of the submit button. See https://www.w3.org/TR/REC-html40/interact/forms.html#adef-name-BUTTON for more information.
      `aValue` - the value of the attribute `value` of the submit button. See https://www.w3.org/TR/REC-html40/interact/forms.html#adef-value-BUTTON for more information.

- ## Method Details

  - ### getName

    public String getName()
    Returns:
      the value of the attribute `name` of the HTML submit button.

  - ### getValue

    public String getValue()
    Returns:
      the value of the attribute `value` of the HTML submit button.